Skip to main content
GET
/
v1
/
subjects
/
slug
/
{slug}
/
markets
Get Markets For Subject By Slug
curl --request GET \
  --url https://gateway.polymarket.us/v1/subjects/slug/{slug}/markets
{
  "markets": [
    {
      "id": "<string>",
      "question": "<string>",
      "slug": "<string>",
      "endDate": "<string>",
      "category": "<string>",
      "startDate": "<string>",
      "image": "<string>",
      "description": "<string>",
      "active": true,
      "marketType": "<string>",
      "closed": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archived": true,
      "orderPriceMinTickSize": 123,
      "gameStartTime": "<string>",
      "bestBid": 123,
      "bestAsk": 123,
      "manualActivation": true,
      "sportsMarketType": "<string>",
      "line": 123,
      "marketSides": [
        {
          "id": "<string>",
          "marketSideType": "MARKET_SIDE_TYPE_ERC1155",
          "identifier": "<string>",
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "description": "<string>",
          "price": "<string>",
          "marketId": 123,
          "long": true,
          "teamId": 123,
          "team": {
            "id": 123,
            "name": "<string>",
            "abbreviation": "<string>",
            "league": "<string>",
            "record": "<string>",
            "logo": "<string>",
            "alias": "<string>",
            "safeName": "<string>",
            "homeIcon": "<string>",
            "awayIcon": "<string>",
            "colorPrimary": "<string>",
            "providerId": 123,
            "ordering": "<string>",
            "longIcon": "<string>",
            "shortIcon": "<string>",
            "displayAbbreviation": "<string>",
            "ranking": "<string>",
            "conference": "<string>",
            "providerIds": [
              {
                "provider": "PROVIDER_SPORTSDATAIO",
                "providerId": "<string>"
              }
            ],
            "longIconDark": "<string>",
            "shortIconDark": "<string>"
          },
          "participantId": "<string>"
        }
      ],
      "outcomes": "<string>",
      "outcomePrices": "<string>",
      "ep3Status": "<string>",
      "sportsMarketTypeV2": "SPORTS_MARKET_TYPE_MONEYLINE",
      "hidden": true,
      "tags": [
        {
          "id": "<string>",
          "label": "<string>",
          "slug": "<string>",
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "image": "<string>",
          "tradable": true,
          "league": {
            "id": 123,
            "name": "<string>",
            "sportId": 123,
            "tagId": 123,
            "image": "<string>",
            "resolution": "<string>",
            "ordering": "<string>",
            "activeSeriesId": 123,
            "isOperational": true,
            "automaticResolution": true,
            "createdAt": "<string>",
            "slug": "<string>",
            "abbreviation": "<string>"
          },
          "sport": {
            "id": 123,
            "name": "<string>",
            "tagId": 123,
            "createdAt": "<string>",
            "slug": "<string>",
            "image": "<string>"
          },
          "parentId": 123,
          "subtags": [
            {}
          ]
        }
      ],
      "title": "<string>",
      "subtitle": "<string>",
      "color": "<string>",
      "darkColor": "<string>",
      "subjectId": 123,
      "subject": {
        "id": 123,
        "name": "<string>",
        "displayName": "<string>",
        "description": "<string>",
        "subjectType": "<string>",
        "image": "<string>",
        "color": "<string>",
        "darkColor": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "slug": "<string>"
      },
      "feeCoefficient": 123,
      "spreadTotalSuffix": "<string>"
    }
  ]
}

Path Parameters

slug
string
required

Response

200 - application/json

A successful response.

markets
object[]